Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.behealth.webservices.tsa
Class ObjectFactory

    java.lang.Object
      be.behealth.webservices.tsa.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.behealth.webservices.tsa package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.behealth.webservices.tsa

Method Summary
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`JournalEntryType` | `createJournalEntryType()` Create an instance of `JournalEntryType`
`PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
`TimeStampBagType` | `createTimeStampBagType()` Create an instance of `TimeStampBagType`
`TimeStampIdentification` | `createTimeStampIdentification()` Create an instance of `TimeStampIdentification`
`TSBagType` | `createTSBagType()` Create an instance of `TSBagType`
`TSConsultRequest` | `createTSConsultRequest()` Create an instance of `TSConsultRequest`
`TSConsultResponse` | `createTSConsultResponse()` Create an instance of `TSConsultResponse`
`TSConsultTSBagRequest` | `createTSConsultTSBagRequest()` Create an instance of `TSConsultTSBagRequest`
`TSConsultTSBagResponse` | `createTSConsultTSBagResponse()` Create an instance of `TSConsultTSBagResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.behealth.webservices.tsa

Method Detail

### createTSConsultTSBagResponse

    public TSConsultTSBagResponse createTSConsultTSBagResponse()

  Create an instance of `TSConsultTSBagResponse`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createTSBagType

    public TSBagType createTSBagType()

  Create an instance of `TSBagType`

### createTSConsultTSBagRequest

    public TSConsultTSBagRequest createTSConsultTSBagRequest()

  Create an instance of `TSConsultTSBagRequest`

### createTimeStampIdentification

    public TimeStampIdentification createTimeStampIdentification()

  Create an instance of `TimeStampIdentification`

### createTSConsultResponse

    public TSConsultResponse createTSConsultResponse()

  Create an instance of `TSConsultResponse`

### createTSConsultRequest

    public TSConsultRequest createTSConsultRequest()

  Create an instance of `TSConsultRequest`

### createPeriodType

    public PeriodType createPeriodType()

  Create an instance of `PeriodType`

### createTimeStampBagType

    public TimeStampBagType createTimeStampBagType()

  Create an instance of `TimeStampBagType`

### createJournalEntryType

    public JournalEntryType createJournalEntryType()

  Create an instance of `JournalEntryType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.